discussion/urls.py
from django.contrib import admin
from django.urls import include, path # import include and path

urlpatterns = [
    path("todolist/", include("todolist.urls")),
    path('admin/', admin.site.urls),
]

todolist/urls.py
from django.urls import path
from . import views # import views.py. dot is because it's in the same folder

app_name= 'todolist'

urlpatterns = [
    path("index", views.index, name="index"),

#   TASKS
    path("task/<int:todoitem_id>", views.todoitem, name="viewtodoitem"),
    path("add_task", views.add_task, name="add_task"),
    path("task/<int:todoitem_id>/update_task", views.update_task, name="update_task"),
    path('task/<int:todoitem_id>/delete_task', views.delete_task, name="delete_task"),

#   EVENTS
    path("event/<int:event_id>", views.event, name="viewevent"),
    path('add_event', views.add_event, name="add_event"),
    path("event/<int:event_id>/update_event", views.update_event, name="update_event"),
    path('event/<int:event_id>/delete_event', views.delete_event, name="delete_event"),

#   USERS
    path("register", views.register, name="register"),
    path("update_user", views.update_user, name="update_user"),
    path("login", views.login_user, name="login"),
    path("logout", views.logout_user, name="logout")
]

templates/base.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta http-equiv="X-UA-Compatible" content="ie=edge" />
        <title>{% block title %} {% endblock %}</title>
        <link rel="stylesheet" href="style.css" />
        <link
            href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha2/dist/css/bootstrap.min.css"
            rel="stylesheet"
            integrity="sha384-aFq/bzH65dt+w6FI2ooMVUpc+21e0SRygnTpmBvdBgSdnuTN7QbdgL+OapgHtvPp"
            crossorigin="anonymous"
        />
    </head>
    <body>
        {% include 'navbar.html' %}
        {% block content %} {% endblock %}

        {% comment %} Bootstrap script {% endcomment %}
        <script
            src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-qKXV1j0HvMUeCBQ+QVp7JcfGl760yU08IQ+GpUo5hlbpg51QRiuqHAJz8+BrxE/N"
            crossorigin="anonymous"
        ></script>
    </body>
</html>

templates/navbar.html
<nav class="navbar navbar-expand-lg bg-body-gray shadow mb-5">
    <div class="container-fluid">
        <a class="navbar-brand" href="index">To Do App</a>
        <button
            class="navbar-toggler"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarNav"
            aria-controls="navbarNav"
            aria-expanded="false"
            aria-label="Toggle navigation"
        >
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:index' %}"
                        >Home</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:add_task' %}"
                        >Add Task</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:add_event' %}"
                        >Add Event</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:login' %}"
                        >Login</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:register' %}"
                        >Register</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:update_user' %}"
                        >Update User</a
                    >
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'todolist:logout' %}"
                        >Logout</a
                    >
                </li>
            </ul>
        </div>
    </div>
</nav>